Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference.gbp
Class AbstractMessageStrategy

    java.lang.Object
      cc.mallet.grmm.inference.gbp.AbstractMessageStrategy

All Implemented Interfaces:
  MessageStrategy

Direct Known Subclasses:
  FullMessageStrategy, SparseMessageSender

    public abstract class AbstractMessageStrategy

extends java.lang.Object
implements MessageStrategy

Created: May 29, 2005

Version:
  $Id: AbstractMessageStrategy.java,v 1.1 2007/10/22 21:37:58 mccallum Exp $
Author:

  Field Summary
  `protected cc.mallet.grmm.inference.gbp.MessageArray` | `newMessages`
  `protected cc.mallet.grmm.inference.gbp.MessageArray` | `oldMessages`

  Constructor Summary
  `AbstractMessageStrategy()`

  Method Summary
  `cc.mallet.grmm.inference.gbp.MessageArray` | `getNewMessages()`
  `cc.mallet.grmm.inference.gbp.MessageArray` | `getOldMessages()`
  `void` | `setMessageArray(cc.mallet.grmm.inference.gbp.MessageArray oldMessages, cc.mallet.grmm.inference.gbp.MessageArray newMessages)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Methods inherited from interface cc.mallet.grmm.inference.gbp.MessageStrategy
  `averageMessages, sendMessage`

  Field Detail

  ### oldMessages

      protected cc.mallet.grmm.inference.gbp.MessageArray oldMessages

  ### newMessages

      protected cc.mallet.grmm.inference.gbp.MessageArray newMessages

  Constructor Detail

  ### AbstractMessageStrategy

      public AbstractMessageStrategy()

  Method Detail

  ### setMessageArray

      public void setMessageArray(cc.mallet.grmm.inference.gbp.MessageArray oldMessages,
                                  cc.mallet.grmm.inference.gbp.MessageArray newMessages)

    Specified by:
      `setMessageArray` in interface `MessageStrategy`

  ### getOldMessages

      public cc.mallet.grmm.inference.gbp.MessageArray getOldMessages()

    Specified by:
      `getOldMessages` in interface `MessageStrategy`

  ### getNewMessages

      public cc.mallet.grmm.inference.gbp.MessageArray getNewMessages()

    Specified by:
      `getNewMessages` in interface `MessageStrategy`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD